PhotoShelter Lightroom Plug-in – New Version!

PhotoShelter Lightroom Plug-in – New Version!

Have you been using our plug-in for Adobe Lightroom? Good news – we just launched version 5.23 and it’s running faster and better than ever. Syncing your images from Lightroom to your PhotoShelter account has never been so seamless and straightforward.

The new version of the PhotoShelter Lightroom plug-in dramatically improves the speed and stability of many different features. Take a look at what’s new!

  • Account synchronization is up to 10x faster
  • Account synchronization is much more reliable
  • Images are exported/published at a higher quality by default
  • Images are exported/published with more metadata by default
  • Star ratings are now correctly synced between Lightroom and PhotoShelter
  • Exporting images using the “overwrite existing” option works correctly
  • The  “Export with previous” option works correctly
  • Fixed an issue that caused a generic  “Uploader” gallery to be created during synchronization

Find step by step instructions for first-time installation of the PhotoShelter Lightroom plug-in — or how to upgrade from a previous version — here.

Next Post:
Previous Post:
This article was written by
There are 24 comments for this article
  1. gary s chapman at 11:22 am

    Once installed I get this error and can’t update previous PS folders from Lightroom: An internal error has occurred: ./ PhotoShelterSync.lua:486: attempt to index local ‘parent’ (a nil value)

  2. Charlie Leight at 3:56 pm

    Hi. Just installed the v.5.23 Plug-in. The current message I get is ‘This plug-in is enabled, but has encountered some problems.’ I’m dead in the water. Any suggestions?

    • Kostadin at 4:22 pm

      We wait YEARS for a small update of a plug-in that eventually doesn’t even work correctly. Then we wait even more YEARS for some new functionality to Photoshelter that NEVER comes. And then the templates are all the same forever. And then we pay a PREMIUM yearly subscription + a PEMIUM % commission for every sale. And then I move to PhotoDeck 😉

      • Marlon at 6:50 am

        Agreed, they are a little slow with innovation at PhotoShelter, they really need to pick up their game and start delivering some quality to their price tag.

        PhotoDeck, here we come…

    • Charlie Leight at 4:23 pm

      I’ve rebooked and am a little further, though not able to sign in. I now get this error message: ./PhotoShelterExportDialogSections.lua:418: attempt to index field ‘?’ (a nil value)

      Any suggestions?

  3. Big Mark at 9:02 am

    Yep. Seems much faster. 😀 Thanks guys, when I’m uploading images in their thousands even a small increase makes a difference: and this wasn’t a small increase, but a big one!

    (And I wondered where all those generic uploader folders came from! I just noticed them…I have 22!)

  4. Michael Harris at 2:05 pm

    Keep getting this message; “An internal error has occurred: Database “/Users/Mike/Lightroom Library/Lightroom Catalogs/Current LR Catalog/Current LR Catalog-2-2.lrcat”: UNIQUE constraint failed: AgRemotePhoto.collection, AgRemotePhoto.photo
    Statement: INSERT INTO AgRemotePhoto( id_local, id_global, collection, commentCount, developSettingsDigest, fileContentsHash, fileModTimestamp, metadataDigest, mostRecentCommentTime, orientation, photo, photoNeedsUpdating, publishCount, remoteId, serviceAggregateRating, url ) VALUES( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ? ); (error code 19)”

    Not working at all, Help??

  5. Nour El Refai at 6:24 pm

    I keep getting this error ” An internal error has occurred: assertion failed! ”
    I can’t get it to work, how can I get back to the previous version?!
    Please help.

  6. David Madison at 12:07 am

    Account synchronization now does not seem to work at all. All galleries show zero images. This is with a newly created publish service done to test the new plugin. Set up service, synchronize collection. ZERO images show up.

    • David Madison at 2:04 pm

      and repeated “assertion failed” errors on updating a collection. Please please please rework this and get these bugs fixed fast. In the meanwhile, is there a download link to the previous version?

  7. Ola Hedin at 9:49 am

    Since update, the Lightroom-plugin (mac) does not work. So now I have to export to desktop and upload manually. Can I download the old plugin?

  8. Natalie Cottle Author at 5:04 pm

    Sorry to hear some of you have had trouble with the plug-in! We definitely want to address any issues you are having right away, so please get in touch with our support team. This way we can walk you through any specific challenges you’re having and get you back on track.

    You can reach us at support@photoshelter.com or give us a call at 212-206-0808. We’re in the office Monday-Friday from 9am-6pm ET.

    Thanks,
    Natalie

    Client Experience Team | PhotoShelter

    • Russell Burton at 8:01 am

      Hi Natalie, it would be nice to know if the above issues have been resolved before the rest of us try and install the new plugin.
      Thanks
      Russell

      • Elke Smale at 4:12 am

        I agree! I am also not installing the new plugin until I know that the above issues have been resolved. I cannot afford for the site not to work or for me to spend any time on fixing errors. I have to run a business! I will have a look at PhotoDeck…

  9. Brett Gilmour at 5:42 pm

    The old version hasn’t worked for months. So…I’ll try this new version and hope for the best.

  10. dhani b at 11:56 am

    I can´t see the advantage of the publish service.
    My ideal product would allow for me to use my MiniJpeg plugin and use my already existing export presets.
    Pretty much useless the way it is right now.

  11. Bernd at 2:24 am

    Unfortunately, I also had these problems. Different errors have appeared (see above) and finally I reinstalled the previous plugin…

    I will wait for an update of the update.

    But I also wonder why there has been no further development at photoshelter for some time now…

  12. Simon Maxwell at 8:29 am

    Thanks … for using us Photoshelter subscribers as your beta testers: either release this plug in as a beta product which people can perhaps assess in a separate lightroom catalogue or as something that has been properly investigated and comprehensively trialled on different operating systems . I loaded it today and keep getting the “unable to update this collection” message variant mentioned in so many above posts. A total waste of my professional time. I can only hope that it will be possible to revert to the original plugin. Perhaps you could release instructions for reset. Anyone reading this: I strongly advise you to hold off updating .

  13. Jonathan B at 8:41 am

    Thanks to everyone who has warned against installing this update. Only one positive comment here and it is not clear whether ‘Big Mark’ is using the publish synchronisation feature or just the upload facility.

    Photoshelter is a great product in many ways and my business is dependent on it but personally I’m pleased that Photoshelter don’t attempt to introduce too many updates since I dread the chaos they can cause. I know these things are difficult to test and that Apple, Adobe etc all have the same problems with updates but I’d have hoped that Photoshelter had learned their lesson from the catastrophic system upgrade a few years ago and done more to test this software as thoroughly as possible.
    More importantly, given these messages here reveal major problems, I can’t believe they are still promoting this as a great new update. Surely it should be pulled asap until these issues have been investigated?
    Sadly the Photoshelter forums aren’t as lively and extensively used as they used to be so it’s hard to tell how widespread these problems are.
    I’d love an improved LR Plugin but it is a particularly critical piece of software and any corruption or breaking of the current synchronisation links would be disastrous so I need major reassurance that these bugs have been addressed and that the product is 100% reliable.
    It would be great if Natalie could clarify where things stand asap.

  14. Jakob at 5:00 pm

    Hi,

    Just installed the plugin and beginning to set up my new site. LR throws the error message: “/ PhotoShelterSync.lua:429: attempt to concatenate a nil value”

    Is there any work around or is the bug in the plugin?

    Thanks for quick response!

  15. Ruby Ahn at 5:44 pm

    Ruby here from the PhotoShelter Product Team. Thank you for all your comments surrounding the Lightroom plug-in, we truly appreciate the feedback. We are committed to making high quality updates to this feature and across the platform, and sincerely apologize for the issues some of you are having. We assure you that the Lightroom plug-in went through a rigorous testing phase, and we would not have shipped it out had we not felt confident about its release.

    We’re currently investigating the issues reported here, and our Client Services team has been able to resolve many of them already — whether they were caused by an installation problem or an unforeseen bug. If you haven’t contacted Client Services directly, please do so. Opening a case with them is the best way we can collect the information necessary to resolve any issues. They will work closely with each case, assist with installation issues or errors, and notify you directly when any bugs are fixed.

    Please send an email to support@photoshelter.com or give us a call at 212-206-0808. We’re in the office Monday-Friday from 9am-6pm ET.

    We look forward to helping you.

    Thank you,
    Ruby

    Product Team | PhotoShelter